Subject: [TLS] Robert Wilton's No Objection on draft-ietf-tls-dtls-connection-id-11: (with COMMENT)

From: Robert Wilton via Datatracker <[email-masked]>
Date: Mon, 19 Apr 2021 03:34:42 -0700

Robert Wilton has entered the following ballot position for
draft-ietf-tls-dtls-connection-id-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-tls-dtls-connection-id/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Hi,

I'm no DTLS expert, but I found the concepts/explanation in this document easy
to follow.

I was slightly confused by the requirement to encode the length in variable
length CIDs, and had to read the relevant text a second time.   As a
suggestion, it might help if these two sentences were reworded the other way
round:

OLD:
Implementations that want to use
   variable-length CIDs are responsible for constructing the CID in such
   a way that its length can be determined on reception.  Note that
   there is no CID length information included in the record itself.

NEW:
Since the CID length information is not included in the record itself,
implementations that want to use ... <as before>.

One minor question.  In the contributors, I noted that Jana is listed as being
associated with Google, but it might be worth checking if that is still
accurate.

Regards.
Rob

---

From: Thomas Fossati <[email-masked]>
Date: Mon, 19 Apr 2021 11:04:31 +0000

Hi Rob,

Thank you for your review and suggestion.  Your review is tracked here:

  https://github.com/tlswg/dtls-conn-id/issues/104

cheers, t

On 19/04/2021, 11:34, "Robert Wilton via Datatracker" <[email-masked]> wrote:
> I'm no DTLS expert, but I found the concepts/explanation in this
> document easy to follow.
>
> I was slightly confused by the requirement to encode the length in
> variable length CIDs, and had to read the relevant text a second time.
> As a suggestion, it might help if these two sentences were reworded
> the other way round:
>
> OLD:
>    variable-length CIDs are responsible for constructing the CID in
>    such a way that its length can be determined on reception.  Note
>    that there is no CID length information included in the record
>    itself.
>
> NEW:
> One minor question.  In the contributors, I noted that Jana is listed
> as being associated with Google, but it might be worth checking if
> that is still accurate.
>
> Regards.
> Rob

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.